# module YAML::Nodes

##
Overview

The YAML::Nodes module provides an implementation of an in-memory YAML document tree. This tree can be generated with the `YAML::Nodes.parse` method or created with a `YAML::Nodes::Builder`.

This document tree can then be converted to YAML by invoking `to_yaml` on the document object.

##
Defined in:

yaml/nodes.cr
yaml/nodes/nodes.cr

##
Class Method Summary

- .parse(string_or_io : String | IO) : Document

  Parses a `String` or `IO` into a `YAML::Nodes::Document`.

- .parse_all(string_or_io : String | IO) : Array(Document)

  Parses a `String` or `IO` into multiple `YAML::Nodes::Document`s.

##
Class Method Detail

def self.parse(string_or_io : String | IO) : Document #

Parses a `String` or `IO` into a `YAML::Nodes::Document`.

def self.parse_all(string_or_io : String | IO) : Array(Document) #

Parses a `String` or `IO` into multiple `YAML::Nodes::Document`s.